Description

Check if we can't use RTTI to get the type name that shall also be used in the registry.
This could also be used to let the components register themselfes in the registry.

However, question is if we need to perform some name mangling if this code is platform dependant.

Currently, this looks like the following:

Publisher<PersonHyp>::Ptr p(new Publisher<PersonHyp>(uri,"PersonHyp");
p->publish(image,"IplImage")

Eventually, the publisher code could boil down to:

PublisherPtr p = Publisher<string>::create(uri);
p->publish("blub");
p->publish<IplImage>(new IplImage());

(For the above example to work, the type name would need to be extracted in the constructor or in the templatized publish method
using typeid.)

Associated revisions
Revision 8233aa96 - 04/29/2011 08:06 PM - J. Moringen
RTTI-based default type name in Informer constructor
fixes #89
    -  src/rsb/Informer.h: use RTTI to compute default type name when

  constructing Informer objects

History
#1 - 04/08/2011 05:09 PM - J. Wienke

With the new distinction between wire type and wire schema this is now easily possible, because determining a converter is only a selection in the
language of each program and the rtti generate string is not passed over the network.

#2 - 04/29/2011 05:53 PM - J. Wienke
- Assignee changed from S. Wrede to J. Moringen
Jan, didn't this already happen?

#3 - 04/29/2011 08:06 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r685.
